| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csShaderExpressionAccessor Class Reference
[Graphics]

Shader variable accessor that evaluates a shader expression when the SV value is queried. More...

`#include <csgfx/shaderexpaccessor.h>`

Inheritance diagram for csShaderExpressionAccessor:

[legend]
List of all members.

## Public Member Functions
| csShaderExpressionAccessor (iObjectRegistry *object_reg, csShaderExpression *expression)
| Construct accessor.
virtual void | PreGetValue (csShaderVariable *variable)
| Called before the value of the attached SV is returned.

## Detailed Description

Shader variable accessor that evaluates a shader expression when the SV value is queried.

Definition at line 46 of file shaderexpaccessor.h.

## Constructor & Destructor Documentation

csShaderExpressionAccessor::csShaderExpressionAccessor | ( | iObjectRegistry * | object_reg,
|  | csShaderExpression * | expression |
| ) |  |  |

Construct accessor.

Remarks:
  The accessor object will take ownership of expression. You should not further use expression (especially not delete it) after using it to construct an instance of this class.

  object_reg can be 0.

## Member Function Documentation

virtual void csShaderExpressionAccessor::PreGetValue | ( | csShaderVariable * | variable | ) | `[virtual]`

Called before the value of the attached SV is returned.

Implements iShaderVariableAccessor.

The documentation for this class was generated from the following file:

- csgfx/shaderexpaccessor.h